Bug 21747 - ftpaccess - add s-links support when restricted-uid/gid clauses are used
ftpaccess - add s-links support when restricted-uid/gid clauses are used
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
7.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Dale Lovelace
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-05 10:53 EST by Kris
Modified: 2007-03-26 23:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-05 10:53:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kris 2000-12-05 10:53:18 EST
add s-links support when restricted-uid/gid clauses are used
Comment 1 Bernhard Rosenkraenzer 2001-01-12 08:39:35 EST
This is impossible.
restricted-uid, guestgroup etc. do a chroot() for security reasons, meaning at
this time, / is the home directory, and anything outside the home directory is
not accesible.
symlinks that leave a chroot jail are generally not possible.

Note You need to log in before you can comment on or make changes to this bug.